<div>
  <div class='card-container' *ngIf="size=='xl'">
    <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
      <div class="mvp-feat1-feat-wrap left relative">
        <div class="mvp-feat1-feat-img left relative">
            <picture>
                <source srcset="{{content.thumbnail}}" media="(min-width: 700px)" />
                <img width="560" height="600" src="{{content.thumbnail.replace('_thumbnail.jpg','_small.jpg')}}" alt="{{content.title}}" class="attachment-mvp-port-thumb size-mvp-port-thumb wp-post-image" />
              </picture>
          <!-- <img width="560" height="600" [src]="content.thumbnail" class="attachment-mvp-port-thumb size-mvp-port-thumb wp-post-image"
            alt=""> -->
          <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
            <i class="fa fa-2 fa-play" aria-hidden="true"></i>
          </div>
          <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
            <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
          </div>
          <!--mvp-vid-box-wrap-->
        </div>
        <!--mvp-feat1-feat-img-->
        <div class="mvp-feat1-feat-text responsive-text left relative">
          <div class="mvp-cat-date-wrap left relative">
            <span class="mvp-cd-cat left relative" style="color: #0be6af;">{{content.mainSection.parentSection}} /
              {{content.mainSection.title}}</span>
            <span class="mvp-cd-date left relative" style="color: #fff;">{{content.publishedAt|timeago}}</span>
          </div>
          <!--mvp-cat-date-wrap-->
          <h2 style="display: -webkit-box;-webkit-line-clamp: 4;-webkit-box-orient: vertical;overflow: hidden;">{{content.title}}</h2>
          <p>{{content.description}}</p>
        </div>
        <!--mvp-feat1-feat-text-->
      </div>
      <!--mvp-feat1-feat-wrap-->
    </a>
  </div>
  <div class='card-container' *ngIf="size=='lg'">
    <div class="mvp-feat1-sub-wrap left relative">
      <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
        <div class="mvp-feat1-sub-cont left relative">
          <div class="mvp-feat1-sub-img left relative" [ngClass]="selector">
            <!-- <img width="590" height="354" [src]="content.thumbnail" class="mvp-post-img wp-post-image" alt="" sizes="(max-width: 590px) 100vw, 590px"> -->
            <picture>
                <source srcset="{{content.thumbnail}}" media="(min-width: 700px)" />
                <img width="590" height="354" src="{{content.thumbnail.replace('_thumbnail.jpg','_small.jpg')}}" alt="{{content.title}}" class="mvp-post-img wp-post-image" />
              </picture>

            <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
              <i class="fa fa-2 fa-play" aria-hidden="true"></i>
            </div>
            <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
              <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
            </div>
            <!--mvp-vid-box-wrap-->
          </div>
          <!--mvp-feat1-sub-img-->
          <div class="mvp-feat1-sub-text">
            <div class="mvp-cat-date-wrap left relative">
              <span class="mvp-cd-cat left relative">{{content.mainSection.parentSection}} /
                {{content.mainSection.title}}</span>
              <span class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
            </div>
            <!--mvp-cat-date-wrap-->
            <h2>{{content.title}}</h2>
          </div>
          <!--mvp-feat1-sub-text-->
        </div>
        <!--mvp-feat1-sub-cont-->
      </a>

    </div>
    <!--mvp-feat1-sub-wrap-->
  </div>
  <div class='card-container' *ngIf="size=='md'">
    <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
      <div class="mvp-feat1-pop-cont left relative">
        <div class="mvp-feat1-pop-img left relative">
          <!-- <img width="400" height="240" [src]="content.thumbnail" class="mvp-post-img wp-post-image" alt="" sizes="(max-width: 400px) 100vw, 400px"> -->
          <picture>
              <source srcset="{{content.thumbnail}}" media="(min-width: 700px)" />
              <img width="400" height="240" src="{{content.thumbnail.replace('_thumbnail.jpg','_small.jpg')}}" alt="{{content.title}}" class="mvp-post-img wp-post-image" />
            </picture>
          <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
            <i class="fa fa-2 fa-play" aria-hidden="true"></i>
          </div>
          <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
            <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
          </div>
          <!--mvp-vid-box-wrap-->
        </div>
        <!--mvp-feat1-pop-img-->
        <div class="mvp-feat1-pop-text left relative">
          <div class="mvp-cat-date-wrap left relative">
            <span class="mvp-cd-cat left relative">
              {{content.mainSection.title}}</span>
            <span class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
          </div>
          <!--mvp-cat-date-wrap-->
          <h2 style="display: -webkit-box;-webkit-line-clamp: 3;-webkit-box-orient: vertical;overflow: hidden;">{{content.title}}</h2>
        </div>
        <!--mvp-feat1-pop-text-->
      </div>
      <!--mvp-feat1-pop-cont-->
    </a>
  </div>
  <div class='card-container' *ngIf="size=='sm'">
    <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
      <div class="mvp-widget-dark-sub left relative">
        <div class="mvp-widget-dark-sub-out right relative">
          <div class="mvp-widget-dark-sub-img left relative">
            <img width="400" height="500" [src]="content.thumbnail.replace('_thumbnail.jpg','_small.jpg')" class="mvp-post-img lazy wp-post-image" alt="{{content.title}}">
            <!-- <img width="80" height="80" [src]="content.thumbnail" class="mvp-mob-img lazy wp-post-image" alt="" sizes="(max-width: 80px) 100vw, 80px"> -->
            <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
              <i class="fa fa-2 fa-play" aria-hidden="true"></i>
            </div>
            <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
              <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
            </div>
            <!--mvp-vid-box-wrap-->
          </div>
          <!--mvp-widget-dark-sub-img-->
          <div class="mvp-widget-dark-sub-in">
            <div class="mvp-widget-dark-sub-text left relative">
              <div class="mvp-cat-date-wrap left relative">
                <span *ngIf="content.mainSection" class="mvp-cd-cat left relative">{{content.mainSection.parentSection}}
                  /
                  {{content.mainSection.title}}</span>
                <span class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
              </div>
              <!--mvp-cat-date-wrap-->
              <div class="mvp-related-text left relative" style="color:#ccc">
                  <p>{{content.title}}</p>
                </div>
            </div>
            <!--mvp-widget-dark-sub-text-->
          </div>
          <!--mvp-widget-dark-sub-in-->
        </div>
        <!--mvp-widget-dark-sub-out-->
      </div>
      <!--mvp-widget-dark-sub-->
    </a>
  </div>

  <div class='card-container' *ngIf="size=='grid-sm'">

    <div class="mvp-related-img left relative">
      <img width="400" height="240" [src]="content.thumbnail | replace:'_thumbnail':'_small'" class="mvp-post-img wp-post-image" alt="{{content.title}}">
      <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
        <i class="fa fa-2 fa-play" aria-hidden="true"></i>
      </div>
      <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
        <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
      </div>
      <!--mvp-vid-box-wrap-->
    </div>
    <!--mvp-related-img-->
    <div class="mvp-related-text left relative">
      <p>{{content.title}}</p>
    </div>
    <!--mvp-post-more-text-->

  </div>
  <div class='card-container' *ngIf="size=='list'">
    <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
      <div class="mvp-feat1-list-cont left relative">
        <div class="mvp-feat1-list-out relative">
          <div class="mvp-feat1-list-img left relative">
            <img width="80" height="80" [src]="content.thumbnail | replace:'_thumbnail':'_tiny'" class="attachment-mvp-small-thumb size-mvp-small-thumb wp-post-image"
              alt="" sizes="(max-width: 80px) 100vw, 80px"> </div>
          <!--mvp-feat1-list-img-->
          <div class="mvp-feat1-list-in">
            <div class="mvp-feat1-list-text">
              <div class="mvp-cat-date-wrap left relative">
                <span class="mvp-cd-cat left relative">{{content.mainSection.title}}</span>
                <span class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
              </div>
              <!--mvp-cat-date-wrap--><!--h2 tag replaced by h3 in this samiksha 13/11/19 -->
              <h3 class="line-clamp" style="font-size: 13px;color:#403c40;font-family: sans-serif;">{{content.title}}</h3>
            </div>
            <!--mvp-feat1-list-text-->
          </div>
          <!--mvp-feat1-list-in-->
        </div>
        <!--mvp-feat1-list-out-->
      </div>
    </a>
  </div>
</div>
<div class='card-container' *ngIf="size=='photo_lg'">
  <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
    <div _ngcontent-c1="" class="mvp-widget-feat1-top-story left relative">
      <div _ngcontent-c1="" class="mvp-widget-feat1-top-img left relative">
        <img _ngcontent-c1="" alt="" class="mvp-post-img lazy wp-post-image" [src]="content.thumbnail" height="354"
          width="590">
        <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
          <i class="fa fa-2 fa-play" aria-hidden="true"></i>
        </div>
        <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
          <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
        </div>
      </div>
      <div _ngcontent-c1="" class="mvp-widget-feat1-top-text left relative">
        <div _ngcontent-c1="" class="mvp-cat-date-wrap left relative">
          <span _ngcontent-c1="" class="mvp-cd-cat left relative">{{content.mainSection.parentSection}} /
            {{content.mainSection.title}}</span>
          <span _ngcontent-c1="" class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
        </div>
        <h2 _ngcontent-c1="">{{content.title}}</h2>
      </div>
    </div>
  </a>
</div>
<div class='card-container' *ngIf="size=='photo_md'">
  <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
    <div _ngcontent-c1="" class="mvp-widget-feat1-bot-story left relative">
      <div _ngcontent-c1="" class="mvp-widget-feat1-bot-img left relative">
        <img _ngcontent-c1="" alt="" class="mvp-post-img lazy wp-post-image" [src]="content.thumbnail" height="354"
          width="590">
        <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
          <i class="fa fa-2 fa-play" aria-hidden="true"></i>
        </div>
        <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
          <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
        </div>
      </div>
      <div _ngcontent-c1="" class="mvp-widget-feat1-bot-text left relative">
        <div _ngcontent-c1="" class="mvp-cat-date-wrap left relative">
          <span _ngcontent-c1="" class="mvp-cd-cat left relative">
            {{content.mainSection.title}}</span>
          <span _ngcontent-c1="" class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
        </div>
        <h2 _ngcontent-c1="">{{content.title}}</h2>
      </div>
    </div>
  </a>
</div>
<div class='card-container' *ngIf="size=='cat_md'">
  <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
    <div _ngcontent-c1="" class="mvp-widget-feat2-right-cont left relative">
      <div _ngcontent-c1="" class="mvp-widget-feat2-right-img left relative">
        <img _ngcontent-c1="" alt="" class="mvp-post-img lazy wp-post-image" [src]="content.thumbnail" height="354"
          width="590">
        <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
          <i class="fa fa-2 fa-play" aria-hidden="true"></i>
        </div>
        <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
          <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
        </div>
      </div>
      <div _ngcontent-c1="" class="mvp-widget-feat2-right-text left relative">
        <div _ngcontent-c1="" class="mvp-cat-date-wrap left relative">
          <span _ngcontent-c1="" class="mvp-cd-cat left relative">{{content.mainSection.parentSection}} /
            {{content.mainSection.title}}</span>
          <span _ngcontent-c1="" class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
        </div>
        <h2 _ngcontent-c1="">{{content.title}}</h2>
      </div>
    </div>
  </a>
</div>
<div class='card-container' *ngIf="size=='wide-md'">
  <div _ngcontent-c1="" class="mvp-blog-story-out left relative">
    <div _ngcontent-c1="" class="mvp-blog-story-img left relative">
      <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
        <img _ngcontent-c1="" alt="" class="mvp-post-img lazy wp-post-image" [src]="content.thumbnail" height="354"
          width="590">
      </a>
      <div *ngIf="content.type=='Video'" class="mvp-vid-box-wrap mvp-vid-box-mid mvp-vid-marg">
        <i class="fa fa-2 fa-play" aria-hidden="true"></i>
      </div>
      <div *ngIf="content.type=='Photo'" class="mvp-vid-box-wrap">
        <i class="fa fa-2 fa-camera" aria-hidden="true"></i>
      </div>
    </div>
    <div _ngcontent-c3="" class="mvp-blog-story-in">
      <div _ngcontent-c3="" class="mvp-blog-story-text left relative">
        <div _ngcontent-c3="" class="mvp-cat-date-wrap left relative">
          <span _ngcontent-c3="" class="mvp-cd-cat left relative">
            <a [routerLink]="'/'+content.mainSection.parentSlug">{{content.mainSection.parentSection}}</a><!-- rel="bookmark" commented as per samiksha 13/11/19-->
            /
            <a [routerLink]="'/'+content.mainSection.parentSlug+'/'+content.mainSection.slug">{{content.mainSection.title}}</a></span><!-- rel="bookmark" commented as per samiksha 13/11/19-->
          <span _ngcontent-c3="" class="mvp-cd-date left relative">{{content.publishedAt|timeago}}</span>
        </div>
        <a [routerLink]="helper.stripURL(content.shareURL)"><!-- rel="bookmark" commented as per samiksha 13/11/19-->
          <h2 _ngcontent-c3="">{{content.title}}</h2>
          <p _ngcontent-c3="">{{content.shortBody}}</p>
        </a>
      </div>
    </div>
  </div>

</div>
